# Uses of Interface
org.eclipse.osgi.service.datalocation.Location

Packages that use Location
Package
Description
org.eclipse.core.runtime
Provides support for the runtime platform, core utility methods and the extension registry.
org.eclipse.osgi.service.datalocation
Provides the `Location` service.

## Uses of Location in org.eclipse.core.runtime

Methods in org.eclipse.core.runtime that return Location
Modifier and Type
Method
Description
`static Location`
Platform.`getConfigurationLocation()`
Returns the location of the configuration information used to run this instance of Eclipse.
`static Location`
Platform.`getInstallLocation()`
Returns the location of the base installation for the running platform `null` is returned if the platform is running without a configuration location.
`static Location`
Platform.`getInstanceLocation()`
Returns the location of the platform's working directory (also known as the instance data area).
`static Location`
Platform.`getUserLocation()`
Returns the location of the platform's user data area.

## Uses of Location in org.eclipse.osgi.service.datalocation

Methods in org.eclipse.osgi.service.datalocation that return Location
Modifier and Type
Method
Description
`Location`
Location.`createLocation(Location parent, URL defaultValue, boolean readonly)`
Constructs a new location.
`Location`
Location.`getParentLocation()`
Returns the parent of this location or `null` if none is available.
Methods in org.eclipse.osgi.service.datalocation with parameters of type Location
Modifier and Type
Method
Description
`Location`
Location.`createLocation(Location parent, URL defaultValue, boolean readonly)`
Constructs a new location.